{% set PageTitle = "Request One Time Access Code" %} {% extends "opvmaster.html"
%} {% block styles %} {% endblock %} {% block main %}

<div class="opv-main" id="opv-master">
    <div class="opv-master theme-cool-grey">
        <div class="opv-master__container container">
            <div class="opv-master__main">
                <div class="opv-master__left-content">
                    <div id="opv-top-nav"></div>
                    <hr />
                    <div id="opv-left-nav"></div>
                </div>
                <div class="opv-master__right-content">
                    <div id="opv-right-nav"></div>
                </div>
            </div>
        </div>
    </div>
</div>

{% endblock %} {% block scripts %}
<script>
    // Left-Nav ::::OpvSettings
    ReactDOM.render(
        React.createElement(Components.OpvHeaderTitle, {
            greetTxt:'Hi, ',
            name: 'John Doe',
            home: {
                html: '<a href="#">Home</a>'
            },
            settings: {
                html: '<a href="#">Settings</a>'
            },
            logout: {
                html: '<a href="#">Logout</a>'
            }
        }),
        document.getElementById("opv-top-nav")
    );
    ReactDOM.render(
        React.createElement(Components.OpvChangeMobileNumber, {
            back: '<a href="#">&lt; Back</a>',
            title: `Change your mobile phone number`,
            description: `
     <p>Enter your new mobile phone number below. After changing your mobile phone number we will send a SMS code.
         Please make sure the details you enter are correct. Lorem ipsum dolor sit amet, consectetur adipiscing elit,
         sed do eiusmod tempor incididunt ut labore et dolore magna aliqua.</p>

     `,
            phoneNumberLable: '<h5>Your current mobile phone number</h5>',
            phoneNumber: '<p>07722 334455</p>',
            formArea: `<div id="phone-form" class="change-your-password"></div>`,
        }),
        document.getElementById("opv-left-nav")
    );
    ReactDOM.render(React.createElement(Components.Form, {
        endpoint: '#',
        id: 'phone-form',
        submit: 'Send code',
        // isOpvForm: true,
        groups: [{
            id: 'country-code',
            fields: [{
                    id: 'fe1',
                    type: 'select',
                    label: 'Country code',
                    options: [{
                        label: 'United Kingdom(+44)',
                        value: 'United Kingdom(+44)',
                        selected: false,
                    }, {
                        label: 'United Kingdom(+91)',
                        value: 'United Kingdom(+91)',
                        selected: false,
                    }]
                },
                {
                    type: "number",
                    placeholder: "",
                    size: "md",
                    isRequired: false,
                    isOpvField: true,
                    minLength: 0,
                    maxLength: 7,
                    id: "mobNumber",
                    name: "",
                    label: "Mobile phone number",
                    additional: "",
                    info: "",
                    customError: "Please enter a valid Mobile number"
                },
            ]
        }]
    }), document.getElementById('phone-form'));
    ReactDOM.render(
        React.createElement(Components.OpvRightNav, {
            title: `Need some help?`,
            content: `If you need some help logging on or have a query call one of our friendly agents on <strong>0800 XXX XXX</strong>`,
            cta: `<img src="../../dist/images/icon/icon-faq.svg" />`,
            faqTxt: `FAQ`,
            theme: {
                themeName: "cool-grey"
            },

            faqContent: `<h6>FAQ’s</h6>
            <p class="faq-subhead"><b>Registration</b></p>

            <p class="faq-copy"><b>Q.</b>How do I know if I have a Self Invested Personal Penson?</p>
            <p class="faq-copy ans"><b>A.</b></p>
            
            <p class="faq-copy"><b>Q.</b>What is a one-time access code and why do I need it?</p>
            <p class="faq-copy ans"><b>A.</b></p>

            <p class="faq-copy"><b>Q.</b>What is two-step verification and why do I need it?</p>
            <p class="faq-copy ans"><b>A.</b></p>

            <p class="faq-copy"><b>Q.</b> I don’t have a mobile phone number, can I still register?</p>
            <p class="faq-copy ans"><b>A.</b></p>

            <p class="faq-copy"><b>Q.</b> I no longer live in the UK, can I still register?</p>
            <p class="faq-copy ans"><b>A.</b></p>

            <p class="paraHeading"><b>Logged in</b></p>

            <p class="faq-copy"><b>Q.</b> What is a SIPP Bank Account?</p>
            <p class="faq-copy ans"><b>A.</b></p>
            <p class="faq-copy"><b>Q.</b> Why are the valuation dates of my funds different?</p>
            <p class="faq-copy ans"><b>A.</b></p>`
        }),
        document.getElementById("opv-right-nav")
    );
</script>
{% endblock %}